package com.ruoyi.rocketmq.service;

import com.ruoyi.rocketmq.domain.RmAgentManagement;

import java.util.List;

/**
 * Agent管理Service接口
 * 
 * @author gyt
 * @date 2025-09-15
 */
public interface IRmAgentManagementService 
{
    /**
     * 查询Agent管理
     * 
     * @param id Agent管理主键
     * @return Agent管理
     */
    public RmAgentManagement selectRmAgentManagementById(Long id);

    /**
     * 查询Agent管理列表
     * 
     * @param rmAgentManagement Agent管理
     * @return Agent管理集合
     */
    public List<RmAgentManagement> selectRmAgentManagementList(RmAgentManagement rmAgentManagement);

    /**
     * 新增Agent管理
     * 
     * @param rmAgentManagement Agent管理
     * @return 结果
     */
    public int insertRmAgentManagement(RmAgentManagement rmAgentManagement);

    /**
     * 修改Agent管理
     * 
     * @param rmAgentManagement Agent管理
     * @return 结果
     */
    public int updateRmAgentManagement(RmAgentManagement rmAgentManagement);

    /**
     * 保存最后更新结果
     *
     * @param rmAgentManagement Agent管理
     * @return 结果
     */
    public void updateRmAgentManagementByHardwareSn(RmAgentManagement rmAgentManagement);

    /**
     * 批量删除Agent管理
     * 
     * @param ids 需要删除的Agent管理主键集合
     * @return 结果
     */
    public int deleteRmAgentManagementByIds(Long[] ids);

    /**
     * 删除Agent管理信息
     * 
     * @param id Agent管理主键
     * @return 结果
     */
    public int deleteRmAgentManagementById(Long id);

    /**
     * 配置更新策略
     * @param rmAgentManagement
     * @return
     */
    int addRmAgentManagement(RmAgentManagement rmAgentManagement);

    /**
     * 手动立即更新agent
     * @param rmAgentManagement
     * @return
     */
    int updateAgentNow(RmAgentManagement rmAgentManagement);

    /**
     * 配置更新策略
     * @param rmAgentManagement
     * @return
     */
    int addUpdatePolicy(RmAgentManagement rmAgentManagement);
}
